### Method

# Gio DtlsConnection get_rehandshake_mode

deprecated: 2.64. since: 2.48

#### Declaration

    GTlsRehandshakeMode
    g_dtls_connection_get_rehandshake_mode (
      GDtlsConnection* conn
    )

#### Description

Gets `conn` rehandshaking mode. See `g_dtls_connection_set_rehandshake_mode()` for details.

Available since: 2.48

Deprecated since: 2.64.

Changing the rehandshake mode is no longer required for compatibility. Also, rehandshaking has been removed from the TLS protocol in TLS 1.3.

Gets property | `Gio.DtlsConnection:rehandshake-mode`

#### Return value

Type: `GTlsRehandshakeMode`

`G_TLS_REHANDSHAKE_SAFELY`.